# PCShellSetApplyTranspose

Sets routine to use as preconditioner transpose.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCShellSetApplyTranspose(PC pc,PetscErrorCode (*applytranspose)(void*,Vec,Vec))

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| apply | - the application-provided preconditioning transpose routine

### Calling sequence of apply

       PetscErrorCode applytranspose (void *ptr,Vec xin,Vec xout)

| ptr | - the application context
| xin | - input vector
| xout | - output vector

### Notes

Uses the same context variable as PCShellSetApply().

### Keywords

PC, shell, set, apply, user-provided

### See Also

PCShellSetApplyRichardson(), PCShellSetSetUp(), PCShellSetApply(), PCSetContext(), PCShellSetApplyBA()

Level:developer
Location: src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages